import { OnInit, EventEmitter, AfterContentInit } from '@angular/core';
import { CalendarEventDTO, CalendarWeekDTO, CalendarDayDTO } from '../calendar.model';
export declare class CalendarMonthComponent implements OnInit, AfterContentInit {
    lang: string;
    showWeekend: boolean;
    display: boolean;
    loadEvents: EventEmitter<any>;
    changeView: EventEmitter<any>;
    clickEvent: EventEmitter<CalendarEventDTO>;
    clickDay: EventEmitter<CalendarDayDTO>;
    _events: CalendarEventDTO[];
    set events(value: CalendarEventDTO[]);
    fecha: Date;
    weeks: CalendarWeekDTO[];
    months: string[];
    days: string[];
    month: number;
    year: number;
    langNumber: number;
    constructor();
    ngOnInit(): void;
    ngAfterContentInit(): void;
    back(): void;
    next(): void;
    getDates(): void;
    refresh(): void;
    clickDia(day: CalendarDayDTO): void;
    goTo(date: Date): void;
}
