import { OnInit, EventEmitter } from '@angular/core';
import { CalendarEventDTO, CalendarDayDTO } from './calendar.model';
import { CalendarMonthComponent } from './calendar-month/calendar-month.component';
import { CalendarWeekComponent } from './calendar-week/calendar-week.component';
export declare class CalendarComponent implements OnInit {
    locale: string;
    showWeekend: boolean;
    events: CalendarEventDTO[];
    clickEvent: EventEmitter<CalendarEventDTO>;
    clickDay: EventEmitter<Date>;
    loadEvents: EventEmitter<any>;
    monthCalendar: CalendarMonthComponent;
    weekCalendar: CalendarWeekComponent;
    view: string;
    constructor(locale: string);
    ngOnInit(): void;
    clickDayMonth(day: CalendarDayDTO): void;
    clickDayWeek(day: CalendarDayDTO): void;
    changeView(view: string): void;
    refresh(e: any): void;
    goTo(date: Date): void;
}
