import { OnInit, EventEmitter, OnChanges, SimpleChanges, AfterViewInit } from '@angular/core';
export declare class PaginationComponent implements OnInit, OnChanges, AfterViewInit {
    totalRecords: number;
    pageSize: number;
    page: number;
    maxSize: number;
    pageChange: EventEmitter<number>;
    pageChanged: EventEmitter<number>;
    pages: number[];
    get totalPages(): number;
    get firstRecord(): number;
    get lastRecord(): number;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    updatePages(): void;
    paginate(page: number): void;
    goToFirst(): void;
    canGoFirst(): boolean;
    goToLast(): void;
    canGoLast(): boolean;
    goToPrevious(): void;
    canGoPrevious(): boolean;
    goToNext(): void;
    canGoNext(): boolean;
}
