import { OnInit, EventEmitter } from '@angular/core';
import { Subject } from 'rxjs';
export declare class AutocompleteComponent implements OnInit {
    value: string;
    valueChange: EventEmitter<string>;
    items: string[];
    search: EventEmitter<string>;
    limitToList: boolean;
    disabled: boolean;
    searchTerms: Subject<string>;
    open: boolean;
    selectedIdx: number;
    constructor();
    ngOnInit(): void;
    searchValue(): void;
    changeValue(): void;
    clickItem(item: string): void;
    keyup(event: any): void;
}
