import { OnInit, EventEmitter, AfterContentInit } from '@angular/core';
import { CalendarEventDTO, CalendarDayDTO } from '../calendar.model';
export declare class CalendarWeekComponent implements OnInit, AfterContentInit {
    lang: string;
    showWeekend: boolean;
    display: boolean;
    loadEvents: EventEmitter<any>;
    changeView: EventEmitter<any>;
    clickEvent: EventEmitter<CalendarEventDTO>;
    clickDay: EventEmitter<CalendarDayDTO>;
    fechaIni: Date;
    fechaFin: Date;
    _events: CalendarEventDTO[];
    set events(value: CalendarEventDTO[]);
    fecha: Date;
    daysWeek: CalendarDayDTO[];
    days: string[];
    langNumber: number;
    constructor();
    ngOnInit(): void;
    ngAfterContentInit(): void;
    back(): void;
    next(): void;
    getDates(): void;
    refresh(): void;
    clickDia(day: CalendarDayDTO): void;
    goTo(date: Date): void;
}
